#include <alsa/asoundlib.h>
#include <unistd.h>
#include <iostream>
using namespace std;

snd_seq_t * handle;

int main() 
{
	snd_seq_open(&handle, "default", SND_SEQ_OPEN_INPUT, 0);
	snd_seq_set_client_name(handle, "test");

	//snd_seq_set_client_event_filter(handle, SND_SEQ_EVENT_NOTEON);

	snd_seq_create_simple_port(handle, "in", SND_SEQ_PORT_CAP_WRITE | SND_SEQ_PORT_CAP_SUBS_WRITE, SND_SEQ_PORT_TYPE_APPLICATION); 
	while (1) {
		//sleep(1);
		snd_seq_event_t * event;
		if(snd_seq_event_input(handle, &event) >= 0)
			cout << (int)(*event).data.note.note << endl;
	}

}